com.amazonaws.services.simpleworkflow.model

## Class SignalWorkflowExecutionRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.simpleworkflow.model.SignalWorkflowExecutionRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class SignalWorkflowExecutionRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`SignalWorkflowExecutionRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SignalWorkflowExecutionRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getDomain()` The name of the domain containing the workflow execution to signal.
`String` `getInput()` Data to attach to the `WorkflowExecutionSignaled` event in the target workflow execution's history.
`String` `getRunId()` The runId of the workflow execution to signal.
`String` `getSignalName()` The name of the signal.
`String` `getWorkflowId()` The workflowId of the workflow execution to signal.
`int` `hashCode()`
`void` `setDomain(String domain)` The name of the domain containing the workflow execution to signal.
`void` `setInput(String input)` Data to attach to the `WorkflowExecutionSignaled` event in the target workflow execution's history.
`void` `setRunId(String runId)` The runId of the workflow execution to signal.
`void` `setSignalName(String signalName)` The name of the signal.
`void` `setWorkflowId(String workflowId)` The workflowId of the workflow execution to signal.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`SignalWorkflowExecutionRequest` `withDomain(String domain)` The name of the domain containing the workflow execution to signal.
`SignalWorkflowExecutionRequest` `withInput(String input)` Data to attach to the `WorkflowExecutionSignaled` event in the target workflow execution's history.
`SignalWorkflowExecutionRequest` `withRunId(String runId)` The runId of the workflow execution to signal.
`SignalWorkflowExecutionRequest` `withSignalName(String signalName)` The name of the signal.
`SignalWorkflowExecutionRequest` `withWorkflowId(String workflowId)` The workflowId of the workflow execution to signal.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SignalWorkflowExecutionRequest

    public SignalWorkflowExecutionRequest()

### Method Detail

#### setDomain

    public void setDomain(String domain)

The name of the domain containing the workflow execution to signal.

Parameters:
  `domain` - The name of the domain containing the workflow execution to signal.

#### getDomain

    public String getDomain()

The name of the domain containing the workflow execution to signal.

Returns:
  The name of the domain containing the workflow execution to signal.

#### withDomain

    public SignalWorkflowExecutionRequest withDomain(String domain)

The name of the domain containing the workflow execution to signal.

Parameters:
  `domain` - The name of the domain containing the workflow execution to signal.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowId

    public void setWorkflowId(String workflowId)

The workflowId of the workflow execution to signal.

Parameters:
  `workflowId` - The workflowId of the workflow execution to signal.

#### getWorkflowId

    public String getWorkflowId()

The workflowId of the workflow execution to signal.

Returns:
  The workflowId of the workflow execution to signal.

#### withWorkflowId

    public SignalWorkflowExecutionRequest withWorkflowId(String workflowId)

The workflowId of the workflow execution to signal.

Parameters:
  `workflowId` - The workflowId of the workflow execution to signal.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRunId

    public void setRunId(String runId)

The runId of the workflow execution to signal.

Parameters:
  `runId` - The runId of the workflow execution to signal.

#### getRunId

    public String getRunId()

The runId of the workflow execution to signal.

Returns:
  The runId of the workflow execution to signal.

#### withRunId

    public SignalWorkflowExecutionRequest withRunId(String runId)

The runId of the workflow execution to signal.

Parameters:
  `runId` - The runId of the workflow execution to signal.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSignalName

    public void setSignalName(String signalName)

The name of the signal. This name must be meaningful to the target workflow.

Parameters:
  `signalName` - The name of the signal. This name must be meaningful to the target workflow.

#### getSignalName

    public String getSignalName()

The name of the signal. This name must be meaningful to the target workflow.

Returns:
  The name of the signal. This name must be meaningful to the target workflow.

#### withSignalName

    public SignalWorkflowExecutionRequest withSignalName(String signalName)

The name of the signal. This name must be meaningful to the target workflow.

Parameters:
  `signalName` - The name of the signal. This name must be meaningful to the target workflow.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInput

    public void setInput(String input)

Data to attach to the `WorkflowExecutionSignaled` event in the target workflow execution's history.

Parameters:
  `input` - Data to attach to the `WorkflowExecutionSignaled` event in the target workflow execution's history.

#### getInput

    public String getInput()

Data to attach to the `WorkflowExecutionSignaled` event in the target workflow execution's history.

Returns:
  Data to attach to the `WorkflowExecutionSignaled` event in the target workflow execution's history.

#### withInput

    public SignalWorkflowExecutionRequest withInput(String input)

Data to attach to the `WorkflowExecutionSignaled` event in the target workflow execution's history.

Parameters:
  `input` - Data to attach to the `WorkflowExecutionSignaled` event in the target workflow execution's history.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public SignalWorkflowExecutionRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`